function [ok] = demo(infile,modelfile,s,t,d,g,r,c,n,e)
    labels=["input file";"model output file";"svm_type";"kernel_type";"degree";"gamma";"coef0";"cost";"nu";"epsilon"];
    types=list("str",1,"str",1,"str",1,"str",1,"str",1,"str",1,"str",1,"str",1,"str",1,"str",1);
    values=[infile;modelfile;s;t;d;g;r;c;n;e];
    [ok,infile,modelfile,s,t,d,g,r,c,n,e]=getvalue("Set svm-train parameters",labels,types,values);
    param = ' -s ' + s + ' -t ' + t + ' -d ' + d + ' -r ' + r + ' -c ' + c + ' -n ' + n + ' -e ' + e;
    if ok == %t  then,
       xclear(0);
       svm_train(modelfile,param,infile);
       demo(infile,modelfile,s,t,d,g,r,c,n,e);
    end,
    
endfunction;


