install_path=pwd();
a = 0;
disp('setting up SCIsvm ...');
while a == 0,
    install_path=x_dialog(['enter path of SCIsvm:'],install_path);
    [a,b]=size(fileinfo(install_path+'/sci-svm.sce'));
    if a == 0 then,
        x_message('SCIsvm not found at '+install_path +' !');
    end,
end,    
global path;
path = install_path;
svm_path = install_path;
global SCIsvm;
global svm_path;
[c,d]=size(fileinfo(install_path+'/svm-train.c'));
if c == 0 then,
    while c == 0,
        svm_path=x_dialog(['enter path of libsmv:'],svm_path);
        [c,d]=size(fileinfo(install_path+'/svm-train'));
        if c == 0 then,
            x_message('libsvm not found at '+svm_path +' !');
        end,
    end,    
end,
chdir(install_path);
disp('SCIsvm: compiling source...');
host('make');
disp('SCIsvm: loading functions...');
getf('sci-svm.sce');
disp('SCIsvm: loading helpfiles...');
%helps = [%helps;"helpdir","svm_train";];

r=x_message(['Do you want SCIsvm to setup automaticly at Scilab startup?'],['Yes','No']);
if r ==1 then,
    u=unix_g('whoami');
    //chdir('/home/'+u+'/');
    df=mopen('/home/'+u+'/.scilab','a');
    line='chdir('''+install_path+''')';
    mputl(line,df);
    line='getf(''sci-svm.sce'');';
    mputl(line,df);
    
    line='A=''helpdir'';B=''svm_train'';%helps = [%helps;A,B;];';
    mputl(line,df);
    line='svm_menu();';
    mputl(line,df);
    line='disp(''setup SCIsvm...'');';
    mputl(line,df);
    line='global SCIsvm;global path;global svm_path;';
    mputl(line,df);
    line='path='''+path+''';';
    mputl(line,df);
    line='svm_path='''+svm_path+''';';
    mputl(line,df);
    mclose(df);
end,

disp('SCIsvm: setup done.');
svm_menu();
SCIsvm;
path;
svm_path;
